# Type alias ModificationsState

ModificationsState: { lastChangeType: ModificationType; newAnnotations: { annotation: AnnotationBase; pageIndex: number }[]; removedAnnotations: { annotationId: string; pageIndex: number }[]; structure?: StructureChanges; undoCount: number; undoIndex: number; updatedAnnotations: { annotation: AnnotationBase; pageIndex: number }[]; version: number }

Shared document modifications.

#### Type declaration

- ##### lastChangeType: ModificationType

- ##### newAnnotations: { annotation: AnnotationBase; pageIndex: number }[]

- ##### removedAnnotations: { annotationId: string; pageIndex: number }[]

- ##### `Optional` structure?: StructureChanges

- ##### undoCount: number

- ##### undoIndex: number

- ##### updatedAnnotations: { annotation: AnnotationBase; pageIndex: number }[]

- ##### version: number